<a href="https://github.com/TryGhost/Ghost"><img src="https://cloud.githubusercontent.com/assets/120485/6622822/c4c639fe-c8e7-11e4-9e64-5bec06c8b4c3.png" alt="Ghost" /></a>
<a href="https://travis-ci.org/TryGhost/Ghost"><img align="right" src="https://travis-ci.org/TryGhost/Ghost.svg?branch=master" alt="Build status" /></a>

![Ghost Screenshot](https://cloud.githubusercontent.com/assets/120485/6626466/6dae46b2-c8ff-11e4-8c7c-8dd63b215f7b.jpg)

![Ghost is a simple, powerful publishing platform that allows you to share your stories with the world.](https://cloud.githubusercontent.com/assets/120485/6626501/b2bb072c-c8ff-11e4-8e1a-2e78e68fd5c3.png)

The project is maintained by a non-profit organisation called the **Ghost Foundation**, along with an amazing group of independent [contributors](https://github.com/TryGhost/Ghost/contributors). We're trying to make publishing software that changes the shape of online journalism.

- [Ghost.org](https://ghost.org)
- [Latest Release](https://ghost.org/developers/)
- [Help & Support](http://help.ghost.org/)
- [Theme Docs](http://themes.ghost.org/v0.11.9/)
- [API Docs](https://api.ghost.org/v0.11.9/)
- [Contributing Guide](https://docs.ghost.org/v0.11.9/docs/contributing)
- [Feature Requests](http://ideas.ghost.org/)
- [Developer Blog](http://dev.ghost.org)
- [Self-hoster Docs](http://docs.ghost.org/v0.11.9/)

**NOTE: If you’re stuck, can’t get something working or need some help, please head on over and join our [Slack community](https://ghost.org/slack/) rather than opening an issue.**

# Important: Node.js version support

See [Supported Node.js versions](https://docs.ghost.org/v0.11.9/docs/supported-node-versions)


# Hosting a live Ghost site

<a href="https://ghost.org/pricing"><img src="https://cloud.githubusercontent.com/assets/120485/18662071/f30da886-7f18-11e6-90f2-42c0ade79fd1.png" alt="Ghost(Pro)" /></a>

The easiest way to deploy Ghost is with our official **[Ghost(Pro)](https://ghost.org/pricing/)** managed service. You can have a fresh instance up and running in a couple of clicks with a worldwide CDN, backups, security and maintenance all done for you.

Not only will it save you [many hours per month](https://ghost.org/pricing/#why-ghost-pro), but all revenue goes to the Ghost Foundation, which funds the maintenance and further development of Ghost itself. So you’ll be supporting open source software *and* getting a great service **at the same time**! Talk about win/win. :trophy:

# Self-Hosters

Other options are also available if you prefer playing around with servers by yourself, of course. The freedom of choice is in your hands.

- [Self-hosting Guide](https://docs.ghost.org/v0.11.9/docs/getting-started-guide)


# Theme Developers

If you are developing a Ghost theme for your own site or creating themes for others to use we recommend installing Ghost on your own local machine.

1. Install ghost locally...
    - [Mac](https://docs.ghost.org/v0.11.9/docs/installing-ghost-on-mac)
    - [Linux](https://docs.ghost.org/v0.11.9/docs/installing-ghost-on-linux)
    - [Windows](https://docs.ghost.org/v0.11.9/docs/installing-ghost-on-windows)
2. Start ghost in the `development` environment so it doesn't require a restart after each change to a theme file:
    - `npm start`
    
- [Theme Developer Docs](http://themes.ghost.org/v0.11.9)


# Contributors & Advanced Developers

For anyone wishing to contribute to Ghost or to hack/customise core files we recommend following our development setup guides:

- [General Contributor Guide](https://docs.ghost.org/v0.11.9/docs/contributing)
- [Developer Setup Instructions](https://docs.ghost.org/v0.11.9/docs/working-with-ghost)
- [Admin Client development guide](https://docs.ghost.org/v0.11.9/docs/working-with-the-admin-client)


# Staying Up to Date

When a new version of Ghost comes out, you'll want to look over these [upgrade instructions](https://docs.ghost.org/v0.11.9/docs/how-to-upgrade-ghost) for what to do next.

You can talk to other Ghost users and developers in our [public Slack team](https://ghost.org/slack/) (it's pretty awesome).

New releases are announced on the [dev blog](http://dev.ghost.org/tag/releases/). You can subscribe by email or follow [@TryGhost_Dev](https://twitter.com/tryghost_dev) on Twitter, if you prefer your updates bite-sized and facetious.

:saxophone::turtle:


# Copyright & License

Copyright (c) 2013-2017 Ghost Foundation - Released under the [MIT license](LICENSE).
